### Method

# Fwupd Client set_user_agent_for_package

since: 1.4.5

#### Declaration [src]

    void
    fwupd_client_set_user_agent_for_package (
      FwupdClient* self,
      const gchar* package_name,
      const gchar* package_version
    )

#### Description [src]

Builds a user-agent to use for the download.

Supplying harmless details to the server means it knows more about each client. This allows the web service to respond in a different way, for instance sending a different metadata file for old versions of fwupd, or returning an error for Solaris machines.

Before freaking out about theoretical privacy implications, much more data than this is sent to each and every website you visit.

Available since: 1.4.5

#### Parameters

`package_name`

  Type: `const gchar*`

  Client program name, e.g. `gnome-software`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`package_version`

  Type: `const gchar*`

  Client program version, e.g. `3.28.1`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.